Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class HashCrossContextPsuedoSession<T>

    java.lang.Object
      org.eclipse.jetty.security.HashCrossContextPsuedoSession<T>

All Implemented Interfaces:
  CrossContextPsuedoSession<T>

    public class HashCrossContextPsuedoSession<T>

extends java.lang.Object
implements CrossContextPsuedoSession<T>

Version:
  $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

Constructor Summary
`HashCrossContextPsuedoSession(java.lang.String cookieName, java.lang.String cookiePath)`

Method Summary
`void` | `clear(HttpServletRequest request)`
`T` | `fetch(HttpServletRequest request)`
`void` | `store(T datum, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashCrossContextPsuedoSession

    public HashCrossContextPsuedoSession(java.lang.String cookieName,
                                         java.lang.String cookiePath)

Method Detail

### fetch

    public T fetch(HttpServletRequest request)

  Specified by:
    `fetch` in interface `CrossContextPsuedoSession<T>`

### store

    public void store(T datum,
                      HttpServletResponse response)

  Specified by:
    `store` in interface `CrossContextPsuedoSession<T>`

### clear

    public void clear(HttpServletRequest request)

  Specified by:
    `clear` in interface `CrossContextPsuedoSession<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.